Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hongtvtk

Giúp đọc tên các đối tượng trong 1 block

Các bài được khuyến nghị

Các bác viết hộ em 1 sub trong đó đọc được tên(ObjectName) của các đối tượng trong 1 block với.

Ví dụ trong 1 bock gồm có 1 đường thẳng và 1 chữ thì sẽ đọc được ra tên của chúng là AcDbLine và AcDbText

Xin cảm ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bác viết hộ em 1 sub trong đó đọc được tên(ObjectName) của các đối tượng trong 1 block với.

Ví dụ trong 1 bock gồm có 1 đường thẳng và 1 chữ thì sẽ đọc được ra tên của chúng là AcDbLine và AcDbText

Xin cảm ơn!

Lấy tên của các Entity trong Block

 

Sub SubEntity()

   Dim oBlock As AcadBlock
   Dim Ent As AcadEntity
   Dim V, BlockEnt As AcadEntity
   Dim str As String

   ThisDrawing.Utility.GetEntity Ent, V, "Chon block:"

   If TypeOf Ent Is AcadBlockReference Then

       Set oBlock = ThisDrawing.Blocks(Ent.Name)

       For Each BlockEnt In oBlock
           str = str & BlockEnt.ObjectName & vbCr
       Next BlockEnt

       If str <> "" Then
           MsgBox str
       End If
   Else
       MsgBox "Khong phai block."
   End If

End Sub

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×